package otherSupport;

import oneLiners.OneLiners;

public class SimpleScriptTest {

	public void scriptBlah(int a, int b, int c){
		System.out.println("blah a="+a+" b="+b+" c="+c);
	}

	public void scriptMerp(String a, int b, String c, double d, double e){
		System.out.println("blah a="+a+" b="+b+" d="+d+" e="+e);
	}
	
	public void scriptMerp(String a, int b, String c, double d){
		System.out.println("blah a="+a+" b="+b+" d="+d+" without e");
	}
	public void scriptHep(String p[]){
		System.out.println("hep with "+p.length+" params:");
		for(String s : p)
			System.out.println(s);
	}
	
	public static void main(String[] args) {
		OneLiners.TextToFile("/tmp/testScript.txt", 
				"blah 3 4 5\n" +
				"merp hello 5 fail 56.7 		, 2\n" +
				"merp hello2 6 fail2 99.9\n" +
				"hep 4nr sd  g fdg  e3 4t eg r 34g3\n");

		SimpleScriptParser.parse(new SimpleScriptTest(), "/tmp/testScript.txt", "script");	
	}

}
